Create/Update Company

post

/cloudapi/restapi/user/companies/add-list

This operation enables you to create and modify Company records. The operation creates a company if a matching company does not exist in the system or modifies the company if a match is found. Any new roles provided under the roles attribute are provisioned for the company by the operation. If successful, this operation returns a company data store containing processed records and status information.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : CompanyDataStore
Type: object
Title: CompanyDataStore
Company create, update, delete request payload and result.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies to create.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Company identifiers to delete.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies that failed delete processing.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies to update.
Show Source
Nested Schema : updatedIdMap
Type: object
Title: updatedIdMap
Additional Properties Allowed
Show Source
  • Mapping of original company identifiers to updated identifiers.
Mapping of original company identifiers to updated identifiers.
Nested Schema : CompanyRO
Type: object
Title: CompanyRO
Company or organization record used by Cloud Administration APIs.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Unique Items Required: true
Role or product associations for the company.
Show Source
Nested Schema : ShortPasswordPolicyRO
Type: object
Title: ShortPasswordPolicyRO
Summary password policy associated with a company.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

successful operation
Body ()
Root Schema : CompanyDataStore
Type: object
Title: CompanyDataStore
Company create, update, delete request payload and result.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies to create.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Company identifiers to delete.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies that failed delete processing.
Show Source
Nested Schema : List<CompanyRO>
Type: array
Title: List<CompanyRO>
Companies to update.
Show Source
Nested Schema : updatedIdMap
Type: object
Title: updatedIdMap
Additional Properties Allowed
Show Source
  • Mapping of original company identifiers to updated identifiers.
Mapping of original company identifiers to updated identifiers.
Nested Schema : CompanyRO
Type: object
Title: CompanyRO
Company or organization record used by Cloud Administration APIs.
Show Source
Nested Schema : List<string>
Type: array
Title: List<string>
Unique Items Required: true
Role or product associations for the company.
Show Source
Nested Schema : ShortPasswordPolicyRO
Type: object
Title: ShortPasswordPolicyRO
Summary password policy associated with a company.
Show Source

400 Response

Invalid input, Please check.

500 Response

Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.
Back to Top